:root {
    --family-name: 'Hind';
    --generic-family: sans-serif;
}

/* RESET */
button {
    background-color: transparent;
    border: none;
    color: inherit;
    outline: none;
    border-radius: 4px;
    cursor: pointer;
    padding: 0;
}

/* Rules for sizing the icon. */
.material-icons.md-18 { font-size: 18px; }
.material-icons.md-24 { font-size: 24px; }
.material-icons.md-36 { font-size: 36px; }
.material-icons.md-48 { font-size: 48px; }

/* Rules for using icons as black on a light background. */
.material-icons.md-dark { color: rgba(0, 0, 0, 0.54); }
.material-icons.md-dark.md-inactive { color: rgba(0, 0, 0, 0.26); }

/* Rules for using icons as white on a dark background. */
.material-icons.md-light { color: rgba(255, 255, 255, 1); }
.material-icons.md-light.md-inactive { color: rgba(255, 255, 255, 0.3); }

.mdc-theme--darker,
.mdc-theme--lighter {
    position: relative;
}
.mdc-theme--darker > *,
.mdc-theme--lighter > * {
    z-index: 1;
}
.mdc-theme--darker:before,
.mdc-theme--lighter:before {
    content: '';
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}
.mdc-theme--lighter {
    color: white;
}
.mdc-theme--lighter {
    color: var(--color-black);
}
.mdc-theme--darker.mdc-theme--primary-bg:before {
    background-color: var(--mdc-theme-primary-darker ,rgba(0,0,0,0.4));
}
.mdc-theme--lighter.mdc-theme--primary-bg:before {
    background-color: var(--mdc-theme-primary-lighter ,rgba(250,250,250,0.4));
}
.mdc-theme--darker.mdc-theme--accent-bg:before {
    background-color: var(--mdc-theme-accent-darker ,rgba(0,0,0,0.4));
}
.mdc-theme--lighter.mdc-theme--accent-bg:before {
    background-color: var(--mdc-theme-accent-lighter ,rgba(250,250,250,0.4));
}
.mdc-theme--lighter:before {
    background-color: rgba(250,250,250,0.4);
}

html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
    user-select: none;
      -moz-user-select: none;
      -webkit-user-select: none;
      -ms-user-select: none;
    cursor: default;
    background-color: var(--color-background);
}
body {
    font-family: var(--global-family-name), var(--global-generic-family);
    display: flex;
    flex-direction: column;
    align-items: stretch;
    font-size: 18px;
    color: var(--color-black);
}

/* HEADER */
header {
    height: 60px;
    align-items: stretch;
    justify-content: space-between;
    padding-right: 10px;
    font-size: 30px;
    background-color: var(--color-header, --color-background, grey);
}
header #logo {
    height: 40px;
}
header #title {
    font-family: var(--title-family-name), var(--title-generic-family);
    align-self: stretch;
    flex: 0 0 auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 6px 0;
    margin-left: 10px;
}
@media (max-width: 400px) {
    header #logo {
        display: none;
    }
}
header #show_home {
    flex: 0 0 auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0 10px;
    cursor: pointer;
    font-size: inherit;
}

header #show_home:hover {
    background-color: rgba(250,250,250,0.2);
}
header #show_home > * {
    pointer-events: none;
}
header button {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    align-self: stretch;
    padding: 10px;
}
header button:hover {
    background-color: rgba(250,250,250,0.2);
}
header [data-permute] a {
    text-align: right;
}

header [data-permute]:hover {
    background-color: rgba(250,250,250,0.2);
}
header #mail,
header #tel {
    font-size: 20px;
    text-align: center
}
header [data-permute] {
    margin-left: auto;
}

/* FOOTER */
footer {
    height: 20px;
    background-color: var(--color-footer, --color-background, grey);
    justify-content: center;
    font-size: 10px;
    align-items: center;
}

header, footer {
    flex: 0 0 auto;
    display: flex;
    flex-direction: row;
}
header a, nav a {
    text-decoration: none;
}
header a, footer a, nav a {
    color: inherit !important;
}

/* MAIN CONTENT */
main {
    flex: 1 1 0;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    background-color: var(--color-page, white);
}
p {
    text-align: justify;
}

/* NAVIGATION */
nav {
    z-index: 10;
    flex: 0 0 auto;
    display: flex;
    align-items: stretch;
    overflow-x: hidden;
    overflow-y: auto;
    transition: width 0.3s ease, max-width 0.3s ease;
    box-sizing: border-box;
    max-width: 100%;
    background-color: var(--color-nav, grey);
}
nav a {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    transition: background-color 0.2s ease;
    cursor: pointer;
    padding: 6px 10px;
    white-space: nowrap;
}
nav a:hover {
    background-color: rgba(250,250,250,0.2);
}
nav a * {
    color: inherit !important;
    pointer-events: none;
    transition: none;
}
nav i {
    margin-right: 20px;
}
@media (min-width: 1280px) {
    [data-action=menu] {
        display: none;
    }
    nav {
        flex-direction: row;
        justify-content: space-around;
        padding: 0;
        height: 60px;
    }
    nav a {
        flex: 1 1 auto;
        display: flex;
        flex-direction: row;
        justify-content: center;
    }
}
@media (max-width: 1279px) {
    nav {
        position: absolute;
        top: 0;
        height: 100%;
        width: 300px;
        flex-direction: column;
        justify-content: flex-start;
        -webkit-overflow-scrolling: touch; /*smooth scrolling tactile*/
    }
    nav, nav[data-position=left] {
        left: 0;
    }
    nav[data-position=right] {
        right: 0;
    }
    nav:not([data-active=true]) {
        width: 0;
    }
    nav[data-delay=true] {
        transition-delay: 0.3s;
    }
    nav a {
        flex: 0 0 auto;
    }
}

/* PAGE WRAPPER */
#page_wrapper {
    flex: 1 1 auto;
    position: relative;
}
.page {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -webkit-overflow-scrolling: touch; /*smooth scrolling tactile*/
    transition: opacity 0.4s ease;
    overflow-y: auto;
    overflow-x: hidden;
}
.page:not(.visible) {
    opacity: 0;
    z-index: -1;
    pointer-events: none;
}
.page section {
    box-sizing: border-box;
}
.content {
    width: 100%;
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
    box-sizing: border-box;
    padding: 0 4px;
}

/* TOP PAGE BUTTTON */
#top_page_button {
    z-index:100;
    min-width: 20px;
    min-height: 20px;
    height: auto;
    width: auto;
    padding: 8px !important;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 30px;
    right: 30px;
    background-color: var(--color-top-page, grey);
    transition: opacity 0.2s ease;
}
#top_page_button:not(.visible) {
    opacity: 0;
    pointer-events: none;
}

/* PERMUTABLE */
[data-permute] {
    width: 200px;
    height: 60px;
    position: relative;
    -webkit-perspective: 1000px;
    perspective: 1000px;
    transform-style: preserve-3d;
    transform: rotateX(0) rotateY(0) rotateZ(0);
    background-color: inherit;
}
[data-permute=auto] {
    animation: 10s ease 4s infinite alternate-reverse both running permute;
}
[data-permute] > * {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    text-align: center;
    vertical-align: middle;
    line-height: 60px;
    background-color: inherit;
}
[data-permute] > *:first-child {
    transform: translateZ(1px);
}
[data-permute] > *:last-child {
    transform: translateZ(-1px) rotateY(180deg);
}

@keyframes permute {
    0% {
        transform: rotateY(0deg);
    }
    45% {
        transform: rotateY(0deg);
    }
    55% {
        transform: rotateY(180deg);
    }
    100% {
        transform: rotateY(180deg);
    }
}

/* COMPONENT SECTION NAVIGATION */
section {
    position: relative;
    overflow: hidden;
}
.go_next {
    position: absolute !important;
    background-color: inherit;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    cursor: pointer;
    /*positionnement*/
    margin: 0 auto;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100px;
    color: rgba(250,250,250,0.5);
    transition: color 0.2s ease;
    background-color: var(--color-orange);
    font-weight: bold;
}

/* COMPONENT DEMO SITE */
.demo_site {
    position: relative;
    padding: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: stretch;
}
/*left side*/
.demo_site .left_side {
    position: relative;
    width: 0px;
    padding: 20px;
    display: flex;
    flex-direction:column;
    overflow: auto;
    background-color: #e2e1e0;
    align-items: stretch;
    justify-content: stretch;
    flex: 1 0 1024px;
}
.demo_site .screen {
    position: relative;
    height: 0;
    max-width: 100%;
    flex: 0 1 auto;
    margin: auto;
    border-radius: 5px;
    transition: width ease 0.2s, height ease 0.2s;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}
.demo_site .screen[data-display=pc] {
    width: 1024px;
    flex-basis: 768px;
}
.demo_site .screen[data-display=tablette] {
    width: 768px;
    flex-basis: 1024px;
}
.demo_site .screen[data-display=smartphone] {
    width: 320px;
    flex-basis: 568px;
}
@media (max-width: 1279px) {
    .demo_site button[name=pc] {
        display: none !important;
    }
    .demo_site .left_side {
        flex-basis: 768px;
    }
    .demo_site .screen[data-display=pc] {
        width: 768px;
        flex-basis: 1024px;
    }
}
@media (max-width: 999px) {
    .demo_site button[name=tablette],
    .demo_site button[name=smartphone] {
        display: none !important;
    }
    .demo_site .left_side {
        flex-basis: 320px;
        padding: 10px;
    }
    .demo_site .screen[data-display=pc],
    .demo_site .screen[data-display=tablette] {
        width: 320px;
        flex-basis: 568px;
    }
}
@media (max-width: 499px) {
    .demo_site .left_side {
        flex: 1 1 0;
    }
    .demo_site .right_side {
        display: none !important;
    }
    .demo_site .screen[data-display=pc],
    .demo_site .screen[data-display=tablette],
    .demo_site .screen[data-display=smartphone] {
        flex: 1 1 0 !important;
        box-sizing: border-box;
    }
    .demo_site button[name=previous],
    .demo_site button[name=next] {
        display: initial !important;
    }
}
.demo_site iframe,
.demo_site object {
    pointer-events: none;
    margin: 0;
    border: 0;
    border-radius: inherit;
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    min-width: 0 !important;
    min-height: 0 !important;
    width: 100% !important;
    height: 100% !important;
    max-width: 100% !important;
    max-height: 100% !important;
    opacity: 0;
    transition: opacity 0.4s ease;
    background-color: rgba(0,0,0,0.5);
}
.demo_site iframe.active,
.demo_site object.active {
    pointer-events: initial !important;
    opacity: 1;
    z-index: 1;
}
/*right side*/
.demo_site .right_side {
    flex: 0 1 300px;
    min-width: 150px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
}
.demo_site .button_wrapper {
    flex: 0 0 auto;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-content: center;
    align-items: center;

}
.demo_site .button_wrapper button {
    flex: 1 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
}
.demo_site .button_wrapper i {
    flex: 0 0 auto;
}
.demo_site .shortcut {
    flex: 1 1 0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: center;
    align-content: flex-start;
    padding: 5px;
}
.demo_site .shortcut button {
    flex: 0 0 auto;
    height: auto;
    margin: 5px;
    cursor: pointer;
    transition: transform ease-out 0.2s;
}
.demo_site .shortcut button:hover {
    transform : scale(1.1, 1.1);
}
.demo_site img {
    display: block;
    pointer-events: none;
    width: 130px;
}
.demo_site button {
    cursor: pointer;
    transition: background-color ease 0.2s;
}
.demo_site .button_wrapper button:hover {
    background-color: rgba(0,0,0,0.1) !important;
}
.demo_site button[name=previous],
.demo_site button[name=next] {
    display: none;
    position: absolute;
    z-index: 2;
    bottom: 0;
    padding-top: 10px;
    background-color: white;
}
.demo_site button[name=previous] {
    left: 0;
    padding-right: 10px;
    border-top-right-radius: 100%;
    box-shadow: 1px -1px 3px rgba(0,0,0,0.12), 1px -1px 2px rgba(0,0,0,0.24);
}
.demo_site button[name=next] {
    right: 0;
    padding-left: 10px;
    border-top-left-radius: 100%;
    box-shadow: -1px -1px 3px rgba(0,0,0,0.12), -1px -1px 2px rgba(0,0,0,0.24);
}
.demo_site #open_site {
    flex: 0 0 auto;
    margin-top: 10px;
    align-self: center;
    text-decoration: none;
    color: white;
    background-color: #2e7d32;
    padding: 4px 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    border-radius: 4px;
}
.demo_site #open_site > :not(:first-child) {
    margin-left: 10px;
}
.demo_site #open_site > * {
    pointer-events: none;
}

/* COMPONENT DIAPORAMA */
[data-diaporama] {
    position: relative;
    padding: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}
[data-diaporama] > img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity 0.4s ease;
}
[data-diaporama] > img.active {
    opacity: 1;
}
[data-diaporama] button {
    margin: 10px;
    border-radius: 4px;
    padding: 0;
    outline: none;
    border: none;
    z-index: 5;
    background-color: #374046;
    cursor: pointer;
    transition: background-color 0.2s ease, color 0.2s ease;
    color: white !important;
}
[data-diaporama] button i {
    color: white !important;
}
[data-diaporama] button:hover {
    background-color: white;
    color: #374046 !important;
}
[data-diaporama] button:hover i {
    color: #374046 !important;
}
[data-diaporama] .toggle {
    align-self: flex-start;
    width: 36px;
    height: 36px;
    position: relative;
    -webkit-perspective: 224px;
    perspective: 224px;
    transform-style: preserve-3d;
    transform: rotateX(0) rotateY(0) rotateZ(0);
    transition: transform 0.2s ease, background-color 0.2s ease, color 0.2s ease;
}
[data-diaporama] .toggle i {
    position: absolute;
    top: 0;
    left: 0;
    backface-visibility: hidden;
    background-color: inherit;
    border-radius: inherit;
}
[data-diaporama] .toggle .front {
    transform: none;
    z-index: 1;
}
[data-diaporama] .toggle .back {
    transform: rotateY(180deg);
}
[data-diaporama][data-playing=true] .toggle {
    transform: rotateY(180deg);
}
[data-diaporama] .shortcut {
    box-sizing: border-box;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: center;
    padding: 5px;
    margin-bottom: 36px;
}
[data-diaporama] .shortcut img {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 4px;
    margin: 5px;
    box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
    cursor: pointer;
    -webkit-filter: grayscale(1);
    filter: grayscale(1);
    transition: filter 0.4s ease;
}
[data-diaporama] .shortcut img.active {
    filter: unset;
}
[data-diaporama][data-count="0"] .shortcut,
[data-diaporama][data-count="1"] .shortcut,
[data-diaporama][data-count="0"] button,
[data-diaporama][data-count="1"] button {
    opacity: 0;
    pointer-events: none;
}

/* COMPONENT OVERLAY */
[data-overlay] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    transition: opacity 0.4s ease;
    background-color: white;
    display: flex;
    z-index: 10;
}
[data-overlay]:not([data-visible="true"]) {
    pointer-events: none;
    opacity: 0;
}
[data-overlay] [data-action="close_overlay"] {
    position: absolute;
    top: 0;
    right: 0;
    height: 60px;
    width: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-header, --color-background, grey);
    border-radius: 0;
    border-bottom-left-radius: 4px;
}
[data-overlay] [data-action="close_overlay"] i {
    margin: auto;
}
[data-open-overlay] {
    cursor: pointer;
}

/* FLY IN */
.fly_in {
    transition: 0.6s ease-in-out;
    transform: translate(200px, 0);
    animation-duration: 0.6s;
    opacity: 0;
}
@keyframes from_bottom {
  0% { transform: translate(0, 200px); }
  100% { transform: translate(0, 0); }
}
@keyframes from_top {
  0% { transform: translate(0, -200px); }
  100% { transform: translate(0, 0); }
}
.fly_in.visible {
    transform: translate(0, 0);
    opacity: 1;
}

/* DARK */
.dark {
    color: var(--color-white, white);
}
.light {
    color: var(--color-black, black);
}

/* RIPPLE */
.ripple {
    position: relative;
    overflow: hidden;
}
.ripple::after {
  content: '';
  display: block;
  position: absolute;
  background: grey;
  background-size: cover;
  border-radius: 100%;
  transform: scale(0);
}
.ripple::after {
  visibility: hidden;
}
.ripple:focus::after {
  visibility: visible;
}
.ripple:not(:active)::after {
  animation: ripple 0.6s ease-out;
}
.dark .ripple::after {
    background: white;
}
.dark.ripple::after {
    background: white !important;
}
.light .ripple::after {
    background: black;
}
.light.ripple::after {
    background: black !important;
}
@keyframes ripple {
    0% {
        opacity: 0;
        transform: scale(0);
    }
    5% {
        opacity: .6;
    }
    80% {
        transform: scale(1);
    }
    100% {
        opacity: 0;
        transform: scale(1);
    }
}

/* CARDS */
.card_wrapper {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;
    align-content: flex-start;
    flex-wrap: wrap;
    padding: 10px;
    overflow: hidden;
}
.card {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    width: 400px;
    box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);
    background-color: white;
    margin: 10px;
    padding: 10px;
}
.card:hover {
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
}
.card i {
    flex: 0 0 auto;
    align-self: center;
    margin-right: 10px;
}
.card div {
    flex: 1 1 0;
    flex: 0 0 auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    align-self: center;
    color: #004C8B !important;
}
.card p {
    text-align: center
}

.horizontal,
.vertical {
    display: flex;
}
.horizontal {
    flex-direction: row;
}
.vertical {
    flex-direction: column;
    align-items: strech;
}
.wrap {
    flex-wrap: wrap;
}



#map_wrapper {
    flex: 1 1 0;
    position: relative;
    overflow: hidden;
}
#map_wrapper iframe {
    position: absolute;
    top: -46px;
    /*left: -50px;*/
    width: calc(100%);
    height: calc(100% + 46px);
    transition: opacity ease 0.2s;
    border: 0;
}
#map_wrapper #map_over {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    display: flex;
    flex-direction: row;
    align-items: stretch;
}
#map_wrapper #map_over :not([data-position=center]):not([data-position=middle]) {
    pointer-events: initial;
}
#map_wrapper #map_over [data-position] {
    flex: 1 0 0;
    pointer-events: none;
}
#map_wrapper #map_over > * {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}
#map_wrapper #map_over [data-position=left],
#map_wrapper #map_over [data-position=center],
#map_wrapper #map_over [data-position=middle],
#map_wrapper #map_over [data-position=bottom] {
    flex: 0 0 auto;
}
#map_wrapper #map_over [data-position=left] {
    width: 15px;
}
#map_wrapper #map_over [data-position=center] {
    width: 30px;
}
#map_wrapper #map_over [data-position=middle] {
    height: 60px;
}
#map_wrapper #map_over [data-position=bottom] {
    height: 25px;
}